View Issue Details

IDProjectCategoryView StatusLast Update
14465Bug reports[All Projects] Expression Managerpublic2019-05-30 14:16
Reporterrenatocron Assigned ToDenisChenu  
PriorityhighSeveritymajor 
Status closedResolutionfixed 
Product Version3.15.x 
Target Version3.16.xFixed in Version3.15.x 
Summary14465: EM relevance not being recalculated after conditions changed (Full survey included)
Description

Hello,

I'm having issue when I have the user change a previous choose option and relevance is not recalculated after the change.

Steps To Reproduce

I included a .lss with a example, as follow:

q5, List (radio) [L], Relevance=1
3 answer to choose: yes, no, etgvd

q6, Numerical input [N], Relevance=q5.code == 'etgvd'

q6confirm, Multiple choice [M], Relevance=q6.code > 40

Initially, only q5 is shown. When user select q5 to "etgvd" option, q6 numeric input show as expected. If you type a number greater than 40, q6confirm appears. But if you change your mind, and select "yes" or "no" on q5, only q6 disappear, q6confirm keep showing (to be fair, neither q6 or q6confirm is persisted on database on submit)

I think this is a critical bug, or i'm missing something.

I included further questions with same behavior (q5yesno=Yes/No, q6number show when q5yesno=='Y',q6numberX is show when q6number is relevance)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.6+190108
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionpostgresql 9.6.6
Server OS (if known)Linux
Webserver software & version (if known)
PHP Version7.2

Relationships

parent of 14467 assignedcdorin EM : relevance not being recalculated after conditions updated if question are shown before 
related to 14955 new Question relevance is not reassessed after group is shown 
Not all the children of this issue are yet resolved or closed.

Activities

renatocron

renatocron

2019-01-29 20:50

reporter  

limesurvey_survey_494735.lss (23,349 bytes)
DenisChenu

DenisChenu

2019-01-30 08:49

developer   ~50339

Issue confirmed, triggering is not done

DenisChenu

DenisChenu

2019-01-30 13:52

developer   ~50342

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28824

Related Changesets

LimeSurvey: master 24b57b56

2019-01-30 13:52:13

DenisChenu

Details Diff
Fixed issue 14465: EM relevance not being recalculated after conditions changed (Full survey included)
Dev: this part is NEEDED … why coment it in a Dev commit …
Dev: not related to php and this issue …
Affected Issues
14465
mod - application/helpers/expressions/em_manager_helper.php Diff File

Issue History

Date Modified Username Field Change
2019-01-29 20:50 renatocron New Issue
2019-01-29 20:50 renatocron File Added: limesurvey_survey_494735.lss
2019-01-30 08:49 DenisChenu Assigned To => DenisChenu
2019-01-30 08:49 DenisChenu Status new => assigned
2019-01-30 08:49 DenisChenu Note Added: 50339
2019-01-30 08:50 DenisChenu Priority none => high
2019-01-30 08:50 DenisChenu Target Version => 3.16.x
2019-01-30 08:50 DenisChenu Description Updated View Revisions
2019-01-30 08:50 DenisChenu Steps to Reproduce Updated View Revisions
2019-01-30 13:52 DenisChenu Changeset attached => LimeSurvey master 24b57b56
2019-01-30 13:52 DenisChenu Note Added: 50342
2019-01-30 13:52 DenisChenu Resolution open => fixed
2019-01-30 13:52 DenisChenu Status assigned => resolved
2019-01-30 13:52 DenisChenu Fixed in Version => 3.15.x
2019-01-30 14:09 DenisChenu Relationship added parent of 14467
2019-04-30 09:11 c_schmitz Status resolved => closed
2019-05-30 14:16 DenisChenu Relationship added related to 14955